+ Antworten
Seite 2 von 3 ErsteErste 1 2 3 LetzteLetzte
Ergebnis 11 bis 20 von 21

Thema: Java Script Problem mit Google MAP.

  1. #11
    Neu an Board
    Registriert seit
    19.06.2009
    Beiträge
    6
    Bedankte sich
    0
    Erhielt 0 Danksagungen
    in 0 Beiträgen

    Standard

    find leider jetzt hier nicht mehr die Option Problem gelöst....

  2. #12
    Wohnt hier Avatar von Re:Later
    Registriert seit
    21.04.2014
    Ort
    Berlin
    Beiträge
    4.611
    Bedankte sich
    124
    Erhielt 1.804 Danksagungen
    in 1.604 Beiträgen

    Standard

    Noch blick ich 0 durch beim Anlegen eines Keys ;-) Bzw. wann welcher in welchem Szenario dann funktionieren wird.
    Google erklärt zu viel beim Anlegen ;-)
    Warte ich mal ab bis der erste Kunde aufschlägt...

    Gibt ja auch noch OSM.

    "wenn ich es als benutzerdefiniertes Modul mit Einbindung des Codes über den Editor probiere"
    Hast nat. Recht, dass das theoretisch laut Google-Anleitung funktionieren sollte.

  3. #13
    Neu an Board
    Registriert seit
    19.06.2009
    Beiträge
    6
    Bedankte sich
    0
    Erhielt 0 Danksagungen
    in 0 Beiträgen

    Standard

    Zitat Zitat von Re:Later Beitrag anzeigen
    "wenn ich es als benutzerdefiniertes Modul mit Einbindung des Codes über den Editor probiere"
    Hast nat. Recht, dass das theoretisch laut Google-Anleitung funktionieren sollte.
    Wobei ich es witzig finde, dass es mit dem Map Generator von Google selber es nicht funktioniert .. sondern nur über den Umweg in der Beschreibung.

  4. #14
    Hat hier eine Zweitwohnung Avatar von gottypower
    Registriert seit
    19.11.2005
    Ort
    im Core
    Alter
    52
    Beiträge
    1.815
    Bedankte sich
    45
    Erhielt 555 Danksagungen
    in 521 Beiträgen

    Standard

    das war aber schon irreführend
    Als benutzerdefioniertes Modul mit Einbindung des Codes direkt von Google (http://maps-generator.com/de) über den Editor
    weil es nicht direkt von Google war!
    ein Deutschlaender in Holland zuhause!!
    www.gottwals.com

    und immer schön danke sagen

  5. #15
    Gehört zum Inventar Avatar von christine2
    Registriert seit
    08.10.2010
    Beiträge
    5.021
    Bedankte sich
    402
    Erhielt 1.770 Danksagungen
    in 1.684 Beiträgen

    Standard

    Hallo,

    Wie SniperSister sagt, müssen die Erweiterungen dementsprechend angepasst werden.
    @ ot16: Weil Du Phoca Map ansprichst: Jan (Entwickler) arbeitet daran :-)

    Vielleicht hilft das hier vorübergehend: https://www.latecnosfera.com/2016/06...or-solved.html

    Liebe Grüße, Christine

  6. #16
    Neu an Board
    Registriert seit
    14.09.2016
    Ort
    Wien
    Beiträge
    41
    Bedankte sich
    11
    Erhielt 0 Danksagungen
    in 0 Beiträgen

    Standard

    Bei mir ist nach dem Update der Joomla-Version auf 3.6.2 das selbe Problem aufgetreten wie bei ot16 - "Hoppla! Ein Fehler ist aufgetreten.
    Google Maps wurde auf dieser Seite nicht richtig geladen. Technische Details dazu entnimmst du der JavaScript-Konsole.."
    Weiß denn jemand zufälliger Weise wann das neue Google Maps API Plugin von Reumer (für Joomla) herauskommt? Ich würde nämlich stark vermuten, dass es daran liegen könnte. Falls ihr da anderer Meinung seid, bin ich ganz Ohr
    Geändert von marsan (17.09.2016 um 10:26 Uhr) Grund: Danke für den Tipp: Problem detaillierter beschrieben.
    Ich benötige keine Signatur

  7. #17
    Gehört zum Inventar Avatar von christine2
    Registriert seit
    08.10.2010
    Beiträge
    5.021
    Bedankte sich
    402
    Erhielt 1.770 Danksagungen
    in 1.684 Beiträgen

    Standard

    Hallo marsan,
    Zitat Zitat von marsan Beitrag anzeigen
    Weiß denn jemand zufälliger Weise wann das neue Google Maps API Plugin von Reumer (für Joomla) herauskommt?
    Betreffend der JS Meldung: Das betrifft neu geladene GM (ab dem 22.6.2016). Nehme an, Du wolltest die von Tech. Reumer neu installieren?

    Es gibt ein neues Plugin von Reumer. Da bin ich auch nur zufällig draufgekommen, weil bei einer Seite der Updateserver angeschlagen hatte.
    Also: http://www.mapsplugin.com/update/plu.../extension.xml. Drinnen ist diese da: http://www.mapsplugin.com/update/plu...5_J3x.v3.4.zip

    So, jetzt kommt das große Aber. Heißt: Die Infos sind jetzt rein informativ.

    Bei der Version 3.3 (Entwickler-Seite) und auch bei der [siehe oben] 3.4, können Fehlermeldungen auftauchen:

    a) https://github.com/jmosmap/plugin_googlemaps/pulls (1 für frontend, 1 für backend).

    b) frontend: https://github.com/jmosmap/plugin_googlemaps/pull/30

    Re:Later hat dann freundlicherweise einen Patch eingereicht. Funktioniert(e) auch.

    c) So, jetzt habe ich aber bei einer Seite auf das Knöpfli gedrückt und hatte dann die Version 3.4

    Ergebnis: Diese angegebenen Zeilen > Anhang b) hatten sich auf:
    300+301 (-)
    300-303 (+)
    1757 (-)
    1759 (+)

    geändert. Da die: plugin_googlemap3_helper.php von 3.3 auf 3.4 unterschiedlich ist.

    Tech. Reumer ist leider nicht zu erreichen, hab dies natürlich versucht.

    Im Backend selbst, kann man einen API Schlüssel eintragen. Ob dies nun gelingt, weiß ich nicht, weil ja damals keiner nötig war.
    Obiges gilt alles für eine vor dem 22.6.2016 erstellte GM.

    Kurz: Ich würde es nicht mehr installieren.

    Liebe Grüße, Christine

    Hatte insgeheim schon befürchtet, dass User danach ev. fragen werden :-) ...... Nun ja, Roman geschrieben.
    Hoffe, soweit alles klar .......
    Geändert von christine2 (17.09.2016 um 10:45 Uhr)

  8. #18
    Neu an Board
    Registriert seit
    14.09.2016
    Ort
    Wien
    Beiträge
    41
    Bedankte sich
    11
    Erhielt 0 Danksagungen
    in 0 Beiträgen

    Standard

    Vielen Dank für die ausführliche Beschreibung Christine2,

    ich habe allerdings durch weitere Recherche-Arbeiten meinen auftretenden Fehler beheben können. Das Problem lag an dem Google Maps API Key.
    Zunächst hatte ich ein Konto bei Google erstellt, der zur Erstellung des API Key notwendig ist. Danach habe ich ein Projekt angelegt, mir aus der Bibliothek die notwendigen API´s herausgesucht - in meinem Fall war es Google Maps JavaScript API und Google Maps Geocoding API - und entsprechend aktiviert, die Anmeldedaten erstellt und somit meinen Key generiert. Diesen Key habe ich dann unter Erweiterungen > Plugins > System - Google Maps > General Settings > Googlemaps API Key eingefügt. Diese Schritte haben etwa 5 Minuten gedauert und nun funktioniert alles wie gewohnt.
    Ich benötige keine Signatur

  9. #19
    Neu an Board
    Registriert seit
    23.06.2006
    Beiträge
    55
    Bedankte sich
    8
    Erhielt 0 Danksagungen
    in 0 Beiträgen

    Standard

    hallo leute,
    ich habe mit dem selben Problem zu kämpfen (Google Maps wurde auf dieser Seite nicht richtig geladen. Technische Details dazu entnimmst du der JavaScript-Konsole.) ich verwende joomla 3.6.5. im template ist k2 und Helix Framework integriert. ich habe leider keine Einstellungen wie "marsan" geschrieben hat (Erweiterungen > Plugins > System - Google Maps > General Settings > Googlemaps API Key >) kann daher diesen key weder einfügen noch löschen etc.
    bin relativ am verzweifeln, noch nicht ganz, aber dennoch... weiss auch nicht, wo ich die map deaktivieren kann (hab kein plugin oder ähnliches welches auf map hinweisst) hm irgendwie komisch...
    danke vorab für eure hilfe.
    lg kirschi

  10. #20
    Neu an Board
    Registriert seit
    12.04.2014
    Beiträge
    74
    Bedankte sich
    15
    Erhielt 4 Danksagungen
    in 3 Beiträgen

    Standard

    Hallo,

    ich schlage mich mit dem gleichen Mist herum.
    Hatte das Reumer-Plugin installiert.

    Die Karte blinkt kurz auf um danach in den Fehlermodus mit Javascript bla, bla... zu gehen.

    Macinstall auf localhost, 3.6.5

    Gibt es denn funktionsfähige Alternativen ?
    Gruß, webfrog

+ Antworten
Seite 2 von 3 ErsteErste 1 2 3 LetzteLetzte

Lesezeichen

Berechtigungen

  • Neue Themen erstellen: Nein
  • Themen beantworten: Nein
  • Anhänge hochladen: Nein
  • Beiträge bearbeiten: Nein